#
# spec file for package pstoedit (Version 2.60)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%define cgmdrawdoc usr/doc/packages/cgmdraw
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         pstoedit
Release:      7
Copyright:    pstoedit: GPL, cd: Freely Redistributable
Group: 
Provides:     
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      PostScript and PDF converter to vector grafik formats
Version:      2.60
Source:     ftp://ftp.x.org/contrib/applications/pstoedit/pstoedit.2.60.tar.gz
Source1:    ftp://zing.ncsl.nist.gov/cgm/cd1.3.tar.gz
Patch:      pstoedit-2.60.dif
BuildRoot:  /var/tmp/pstoedit
%description
pstoedit converts Postscript(TM) and PDF files to other vector graphic formats
so that they can be edited graphically.  pstoedit supports:
tgif: Tgif .obj format (for tgif version >= 3)
rpl: Real3D Programming Language Format
lwo: LightWave 3D Object Format
rib: RenderMan Interface Bytestream
mif: (Frame)Maker Intermediate Format
fig: .fig format for xfig
xfig: .fig format for xfig
pdf: Adobe's Portable Document Format
gnuplot: gnuplot format
ps: Flattened PostScript
debug: for test purposes
dump: for test purposes (same as debug)
dxf: CAD exchange format
java: java applet source code
idraw: Interviews draw format
and: 
cgm: CGM Format (binary)
cgmt: CGM Format (textual)
if you will use the "CGM Draw" library by G. Edward Johnson <lorax@nist.gov>.
Cf. the document CGM projects at NIST
http://speckle.ncsl.nist.gov/~lsr/cgm.htm. 
pstoedit needs an installed Ghostscript interpreter.

Authors:
--------
    Wolfgang Glunz <Wolfgang.Glunz@mchp.siemens.de>
    G. Edward Johnson <lorax@nist.gov>

# Message-Id: <199710282113.WAA17062@weisshorn.mchp.siemens.de>
# To: ske@suse.de (Karl Eichwalder)
# Date: Tue, 28 Oct 1997 22:13:45 +0100 (MET)
# From: Wolfgang Glunz <Wolfgang.Glunz@mchp.siemens.de>
#
# [...] Noch ein Hinweis zu pstoedit.
# Falls Sie es in die Distribution aufnehmen, sollten Sie vorher folgenden
# kleinen Patch anwenden.
# 
# "Unfortunately, there is a small incompatibility between 2.60 and
# GhostScript 5.x which causes every translation to fail. However, the
# fix is very easy:
# just replace deviceinfo with currentpagedevice in pstoedit.ph and
# compile again."
%package -n pstoedit
Summary:      PostScript and PDF converter to vector grafik formats
Group:
%description -n pstoedit
pstoedit converts Postscript(TM) and PDF files to other vector graphic formats
so that they can be edited graphically.  pstoedit supports:
tgif: Tgif .obj format (for tgif version >= 3)
rpl: Real3D Programming Language Format
lwo: LightWave 3D Object Format
rib: RenderMan Interface Bytestream
mif: (Frame)Maker Intermediate Format
fig: .fig format for xfig
xfig: .fig format for xfig
pdf: Adobe's Portable Document Format
gnuplot: gnuplot format
ps: Flattened PostScript
debug: for test purposes
dump: for test purposes (same as debug)
dxf: CAD exchange format
java: java applet source code
idraw: Interviews draw format
and: 
cgm: CGM Format (binary)
cgmt: CGM Format (textual)
if you will use the "CGM Draw" library by G. Edward Johnson <lorax@nist.gov>.
Cf. the document CGM projects at NIST
http://speckle.ncsl.nist.gov/~lsr/cgm.htm. 
pstoedit needs an installed Ghostscript interpreter.

Authors:
--------
    Wolfgang Glunz <Wolfgang.Glunz@mchp.siemens.de>
    G. Edward Johnson <lorax@nist.gov>

%package -n cgmdraw
Version:      1.3
Summary:      CGM Draw - library for generating CGM files 
Group:
%description -n cgmdraw
CGM Draw is a freely available library for generating CGM files from a C
program. 
CGM (Computer Graphics Metafile) is a vector graphics format that can be
read by many popular packages.  With CGM Draw your code can quickly draw
images complete with lines, arcs, rectangles, polygons, and text.  CGM
Draw is ideal for creating CGM files on the fly when you have a rapidly
changing data set (such as in response to database queries.)

Authors:
--------
    Wolfgang Glunz <Wolfgang.Glunz@mchp.siemens.de>
    G. Edward Johnson <lorax@nist.gov>

%prep
%setup -n $RPM_PACKAGE_NAME.$RPM_PACKAGE_VERSION
%setup -n $RPM_PACKAGE_NAME.$RPM_PACKAGE_VERSION -D -T -a 1
%patch -p1
# ./configure --prefix=$RPM_BUILD_ROOT/usr
# xmkmf -a
%build
### pstoedit
(cd src && make AWK=awk \
               CCC="g++ -pedantic -Wall -Wwrite-strings -Wcast-qual $RPM_OPT_FLAGS" \
               BINDIR=$RPM_BUILD_ROOT/usr/bin MANDIR=$RPM_BUILD_ROOT/usr/man)
### CGM Draw
(cd cd1.3 && make "CFLAGS=$RPM_OPT_FLAGS" LDFLAGS=-s)
%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/usr/man/man1
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/lib $RPM_BUILD_ROOT/usr/include
%{INSTALL_DIR} $RPM_BUILD_ROOT/%{cgmdrawdoc}
### pstoedit
( cd src && \
%{INSTALL} pstoedit $RPM_BUILD_ROOT/usr/bin/pstoedit && \
%{INSTALL_DATA} pstoedit.man $RPM_BUILD_ROOT/usr/man/man1/pstoedit.1 && \
gzip -f --best $RPM_BUILD_ROOT/usr/man/man1/pstoedit.1)
# make install
# make install.man
### CGM Draw
# These are test or example programs that no one really wants to install
# %{INSTALL} cdexpert cdmulti cdsimple cdtest cdtext color16 $RPM_BUILD_ROOT/usr/bin
(cd cd1.3 && \
%{INSTALL_DATA} readme cd.announce cd1.3.lsm *.cgm $RPM_BUILD_ROOT/%{cgmdrawdoc} && \
%{INSTALL_DATA} cd.html $RPM_BUILD_ROOT/%{cgmdrawdoc} && \
%{INSTALL_DATA} cdexpert.c cdmulti.c cdsimple.c $RPM_BUILD_ROOT/%{cgmdrawdoc} && \
%{INSTALL_DATA} cdtest.c cdtext.c color16.c $RPM_BUILD_ROOT/%{cgmdrawdoc} && \
%{INSTALL_DATA} cd.h $RPM_BUILD_ROOT/usr/include/cd.h && \
%{INSTALL_DATA} libcd.a $RPM_BUILD_ROOT/usr/lib/libcd.a)
# /usr/bin/cdexpert
# /usr/bin/cdmulti
# /usr/bin/cdsimple
# /usr/bin/cdtest
# /usr/bin/cdtext
# /usr/bin/color16
export RPM_BUILD_ROOT
Check
# %post -n cgmdraw
# ldconfig -v
# 
# %postun -n cgmdraw
# ldconfig -v
%clean
rm -fr $RPM_BUILD_ROOT
%files -n pstoedit
%doc copying news.txt readme.txt examples
%doc src/manual.html
/usr/bin/pstoedit
/usr/man/man1/pstoedit.1.gz
%files -n cgmdraw
/usr/doc/packages/cgmdraw/readme
/usr/doc/packages/cgmdraw/cd.announce
/usr/doc/packages/cgmdraw/cd1.3.lsm
/usr/doc/packages/cgmdraw/*.cgm
/usr/doc/packages/cgmdraw/cd.html
/usr/doc/packages/cgmdraw/cdexpert.c
/usr/doc/packages/cgmdraw/cdmulti.c
/usr/doc/packages/cgmdraw/cdsimple.c
/usr/doc/packages/cgmdraw/cdtest.c
/usr/doc/packages/cgmdraw/cdtext.c
/usr/doc/packages/cgmdraw/color16.c
/usr/include/cd.h
/usr/lib/libcd.a

